Bug 1284321 - Configurable maintenance mode page
Configurable maintenance mode page
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 22:20 EST by Will Thames
Modified: 2016-01-27 05:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 05:56:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Thames 2015-11-22 22:20:24 EST
Description of problem:

We would like to provide a user-friendly maintenance mode page during downtime periods. This page should be configurable so that we can state downtime period start and duration, without having to manipulate the page itself. If the configuration file does not exist, something vague is perfectly suitable (e.g. Bugzilla is currently undergoing maintenance). 

The configuration should be through reading a file, or similar. The page MUST NOT access the database! The configuration could be start time in UTC, duration in minutes and perhaps a custom message (in general a standard message will likely be fine)

If the page can display times in a guess of the user's timezone (again, without accessing the database), that might be helpful to the user, but otherwise UTC is fine.
Comment 1 Will Thames 2015-12-10 20:55:11 EST
This has been achieved through httpd configuration.
Comment 2 Jeff Fearn 2016-01-27 05:56:31 EST
won't fix a fixed issue :)

Note You need to log in before you can comment on or make changes to this bug.